by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jun 18 2019 18:50
    @StephenFluin banned @piotr-mamenas
  • Jan 31 2019 21:54
  • Jan 31 2019 21:40
    gurkn starred angular/angular-cli
  • Jan 31 2019 21:04
    alan-agius4 closed #13561
  • Jan 31 2019 20:43
    ZBAGI edited #13561
  • Jan 31 2019 20:06
    ZBAGI edited #13561
  • Jan 31 2019 18:45
    ZBAGI edited #13561
  • Jan 31 2019 18:41
    ZBAGI opened #13561
  • Jan 31 2019 18:01
  • Jan 31 2019 17:36
  • Jan 31 2019 16:39
    ngbot[bot] milestoned #13559
  • Jan 31 2019 16:39
    alan-agius4 labeled #13559
  • Jan 31 2019 16:39
    alan-agius4 labeled #13559
  • Jan 31 2019 16:39
    alan-agius4 labeled #13559
  • Jan 31 2019 16:34
    mgechev closed #8626
  • Jan 31 2019 16:03
    sharp0111 starred angular/angular-cli
  • Jan 31 2019 15:55
  • Jan 31 2019 15:51
    clydin unlabeled #13548
  • Jan 31 2019 15:51
    clydin labeled #13548
  • Jan 31 2019 15:35
    clydin review_requested #13548
matrixbot
@matrixbot

adan_geno Hi every body,
check out this new platform wirtten in Angluar 9

https://nearventur.com

Lwasampijja Lawrence
@LWASALAW
I'm getting this error on my build project: Uncaught SyntaxError: Unexpected end of input
@LWASALAW
My app worked great so far, I've been working on few updates and then I uploaded my new generated dist folder to my website.
Suddenly I get this error: main.5b5a7be….bundle.js:31 Uncaught SyntaxError: missing ) after argument list
Now different error appeared:
main.8d6ae5a….bundle.js:42 Uncaught TypeError: i.QueueScheduler is not a constructor
What's wrong? How I can detect where this error comes from?
I'm getting this error on my build project: Uncaught SyntaxError: Unexpected end of input Somebody help me here. I'm very stack.
Derek
@derekkite
@LWASALAW updates?
António Santos
@antonio.santos_gitlab

Hey, can someone help me? I'm getting this error when installing angular-devkit, and I don't know what is wrong or where should I ask for help.

npm ERR! 404 Not Found - GET https://registry.npmjs.org/@angular-devkit/schematics/-/schematics-8.3.19.tgz

António Santos
@antonio.santos_gitlab

Hey, can someone help me? I'm getting this error when installing angular-devkit, and I don't know what is wrong or where should I ask for help.

npm ERR! 404 Not Found - GET https://registry.npmjs.org/@angular-devkit/schematics/-/schematics-8.3.19.tgz

Now I know that it's a problem with NPM
https://status.npmjs.org/

Lwasampijja Lawrence
@LWASALAW
Hey somebody help me. My client is getting this error in the browser console: /main-es2015.f9646966f30e0051dd41.js:1 Uncaught SyntaxError: Unexpected end of input in angular
Abhay Chawla
@abhaychawla
Hi, We have been facing issues with production build which is being created for our repository using Travis. The build gets stuck at some point leading to timeout and keeps on failing. We are unable to determine the cause for the same. Please assist. Here is the link for the repository: https://github.com/openMF/web-app
We have tried increasing the memory as well as disabling the build optimizer but it still doesn't seem to work.
buddyackerman
@buddyackerman
I'm deploying an Angular app on Azure and in order to get the Azure app service to serve JSON files I have to add a web.config to the root of the site. So, how can I generate a build with the CLI that includes a static web.config file in the /dist folder?
Derek
@derekkite
@buddyackerman in the angular.json file there is a place for assets.
buddyackerman
@buddyackerman
@derekkite Yes, but those are placed in the /dist/assets folder, right? I want the output to be in the /dist folder.
Derek
@derekkite
@buddyackerman https://angular.io/guide/workspace-config#assets-configuration I think you can configure where it goes
buddyackerman
@buddyackerman
@derekkite So, yeah, I just put "src/web.config" in the assets setting and it wound up in the /dist folder. Didn't realize how that assets setting actually worked in terms of placing files in the output.
Rob Liebke
@orobsonpires
Hi guys, is it considered bad practice to have a guard implementing more than one interface?
What do you think about that?
John Hamm
@johnhamm
Setting breakpoints in Chrome no longer works for "npm run hmr" after upgrading to Angular 10. If I just "ng serve" it works. Has anyone ran into this issue?
(npm run hmr = ng serve --configuration hmr)
Sandeep Sahani
@sylveryte

Hi, I'm getting this error

npx ng b --prod
10% building 0/1 modules 1 active multi /home/sylveryte/projects/codedfruit/10% building 1/2 modules 1 active multi /home/sylveryte/projects/codedfruit/10% building 2/3 modules 1 active multi 92% chunk asset optimization LicenseWebpackPluginAn unhandled exception occurred: EISDIR: illegal operation on a directory, read
See "/tmp/ng-EN5sl3/angular-errors.log" for further details.

my angular cli is

❯ npx ng --version

     _                      _                 ____ _     ___
    / \   _ __   __ _ _   _| | __ _ _ __     / ___| |   |_ _|
   / △ \ | '_ \ / _` | | | | |/ _` | '__|   | |   | |    | |
  / ___ \| | | | (_| | |_| | | (_| | |      | |___| |___ | |
 /_/   \_\_| |_|\__, |\__,_|_|\__,_|_|       \____|_____|___|
                |___/


Angular CLI: 10.0.7
Node: 14.8.0
OS: linux x64

Angular: 10.0.12
... animations, common, compiler, compiler-cli, core, forms
... platform-browser, platform-browser-dynamic, router
Ivy Workspace: Yes

Package                           Version
-----------------------------------------------------------
@angular-devkit/architect         0.1000.7
@angular-devkit/build-angular     0.1000.7
@angular-devkit/build-optimizer   0.1000.7
@angular-devkit/build-webpack     0.1000.7
@angular-devkit/core              10.0.7
@angular-devkit/schematics        10.0.7
@angular/cli                      10.0.7
@ngtools/webpack                  10.0.7
@schematics/angular               10.0.7
@schematics/update                0.1000.7
rxjs                              6.5.5
typescript                        3.9.7
webpack                           4.43.0
Sandeep Sahani
@sylveryte
cat /tmp/ng-EN5sl3/angular-errors.log
[error] Error: EISDIR: illegal operation on a directory, read
Sandeep Sahani
@sylveryte
node -v
v14.3.0npm -v
6.14.5
Sandeep Sahani
@sylveryte
nevermind I update to 10.1rc, working fine here
Jan Malchert
@JanMalch
Hi, how can I install the latest (dev) dependency via a schematic? I don't want to set "latest" in the package.json .. basically I want to run "npm install --save-dev the_package@latest" .. how can i do this?
Andrew A. Poryadin
@dronlinux

Hi, please help understand.

when i execute ng build --prod i get errors

ERROR in scripts.e0fd47ba0735e8cd30f4.js from Terser
Expecting UnicodeEscapeSequence -- uXXXX or u{XXXX} [scripts.e0fd47ba0735e8cd30f4.js:2,17286]

What is that mean ? How to find error?

Where i can find file ?
scripts.e0fd47ba0735e8cd30f4.js:2,17286
Derek
@derekkite
@dronlinux dist/apps/scripts
Neil Stevens
@StickNitro
Hi, can someone explain if I am doing something wrong please, I have a project which uses the PrimeNG library, everytime I do a build in our devops pipeline I am seeing everything in the PrimeNG library getting compiled even though (at the moment at least) I am only using the button from PrimeNG and have imported it using import {ButtonModule} from 'primeng/button';, should the angular build be compiling everything even if its not used?
Neil Stevens
@StickNitro
in fact i have created a test that just imports primeng and when you run build it compiles all the primeng modules even though none of them have been imported
Rafael Zasas
@RafaelZasas
Hi all, I posted a question here .
Please help. I have a corrupted file within my node_modules.
It's preventing me from running npm install
Eric
@sliceofbytes
@RafaelZasas just delete your node modules folder and npm install
Rafael Zasas
@RafaelZasas
@sliceofbytes It wont allow me to delete node_modules. There's a folder within it called .xml2js.DELETE with a package.json in it that I'm not able to open or delete. Windows says the file is corrupted.
Eric
@sliceofbytes
try deleting it from an admin command line
rm -rf node_modules
Eric
@sliceofbytes
@RafaelZasas I tried to post how I would attempt to delete the corrupted file
Only on very rare occasions does that method not work for deleting a locked/corrupted file
Rafael Zasas
@RafaelZasas
@sliceofbytes I get this when using windows powershell:
Remove-Item : A parameter cannot be found that matches parameter name 'rf'.
At line:1 char:4
+ rm -rf node_modules
+    ~~~
    + CategoryInfo          : InvalidArgument: (:) [Remove-Item], ParameterBindingException
    + FullyQualifiedErrorId : NamedParameterNotFound,Microsoft.PowerShell.Commands.RemoveItemCommand
@sliceofbytes I did try using the rmdir /Q /S command in the cmd too.
Rafael Zasas
@RafaelZasas
When I use rm -r node_modules I get an error related to the file.
rm : Cannot remove item D:\software development\web dev\raf-website\node_modules\.xml2js\package.json: The file or
directory is corrupted and unreadable.
At line:1 char:1
+ rm -r node_modules
+ ~~~~~~~~~~~~~~~~~~
    + CategoryInfo          : WriteError: (package.json:FileInfo) [Remove-Item], IOException
    + FullyQualifiedErrorId : RemoveFileSystemItemIOError,Microsoft.PowerShell.Commands.RemoveItemCommand
rm : Directory D:\software development\web dev\raf-website\node_modules\.xml2js cannot be removed because it is not
empty.
At line:1 char:1
+ rm -r node_modules
+ ~~~~~~~~~~~~~~~~~~
    + CategoryInfo          : WriteError: (.xml2js:DirectoryInfo) [Remove-Item], IOException
    + FullyQualifiedErrorId : DirectoryNotEmpty,Microsoft.PowerShell.Commands.RemoveItemCommand
Eric
@sliceofbytes
@RafaelZasas try running chkdsk /r Z: (replace Z with whatever drive letter your file is on)
Rafael Zasas
@RafaelZasas
@sliceofbytes I actually ran chkdsk /F and it took care of the corrupted files!
I was able to delete node_modules and run npm install.
I posted the answer in stack overflow if anyone runs into a similar issue.
Thank you so much!
Eric
@sliceofbytes
No problem!
winterlimelight
@winterlimelight

We're currently catching up on Angular versions. Having started at 5, I'm stuck going from 7 to 8.
I'm getting this error on lots of scss files: "ValidationError: Invalid options object. Sass Loader has been initialized using an options object that does not match the API schema. options has an unknown property 'includePaths'."

Initially I had an stylePreprocessorOptions.includePaths in my angular.json, but removing it made no difference. I cannot find includePaths in any other file.
We are using storybook so we still have "node-sass": "^4.14.1" in the package.json, as storybook uses sass-loader which requires a peer of node-sass@^4.0.0
Updating was done by ng update @angular/cli@8 @angular/core@8 --force
I've tried some of the desperation options, such as deleting node_modules. I also wondered if there had been a problem updating angular.json, but ng update @angular/cli --from=7 --to=8 --migrateOnly=true did nothing. The angular.json file is uses "builder": "@angular-builders/custom-webpack:browser", due to tailwind.
Other ideas would be appreciated as Google has been of no assistance and I can't tell from the error messages what is even triggering the sass loader (@ multi ./src/main.ts?) so it's difficult to figure out what might be feeding sass-loader the invalid config.

winterlimelight
@winterlimelight
npm install sass-loader@^7.2 -D is looking promising
Chris Haught
@cwhaught

I am having some trouble trying to go from angular-cli 10.0.3 => 10.1.0

From what I can tell it is trying to run the migration on my tsconfig.json which was already run and it cant find it

[error] Error: Could not read 'tsconfig.json'.
at new JSONFile (<repo>/node_modules/@schematics/angular/utility/json-file.js:22:19)

Has anyone else seen this?

hussainwali74
@hussainwali74
can someone guide me how to implement Google Oauth2 in MEAN ?
Christophe HOARAU
@no-more

Hi,

I'm looking for documentation on how to implement an update script like ng update
I'm already using custom schematics but couldn't find out how to implement an update script.

Mamadou Toure
@mamadoutoure
by running ng new myapp, I got this error: legacyBrowsers is not defined
what could be the problem ?
Eric
@sliceofbytes
@mamadoutoure have you tried just re-installing the cli?
Mamadou Toure
@mamadoutoure
@sliceofbytes kudo... it works by reinstalling the cli
melvinga
@melvinga
Goodevening. First time angular user here. 'ng v' or 'ng help' or any ng command returns "Unknown error: SyntaxError: Unexpected token 'export'" . Unable to start trying out angular. Appreciate if you can help me out resolve this isssue.